delete_vertex_attr {igraph} | R Documentation

## Delete a vertex attribute

### Description

Delete a vertex attribute

### Usage

    delete_vertex_attr(graph, name)

### Arguments

`graph` | The graph
`name` | The name of the vertex attribute to delete.

### Value

The graph, with the specified vertex attribute removed.

### See Also

Other graph attributes: `delete_edge_attr`, `delete_graph_attr`, `edge_attr<-`, `edge_attr_names`, `edge_attr`, `graph_attr<-`, `graph_attr_names`, `graph_attr`, `igraph-dollar`, `igraph-vs-attributes`, `set_edge_attr`, `set_graph_attr`, `set_vertex_attr`, `vertex_attr<-`, `vertex_attr_names`, `vertex_attr`

### Examples

    g <- make_ring(10) %>%
      set_vertex_attr("name", value = LETTERS[1:10])
    vertex_attr_names(g)
    g2 <- delete_vertex_attr(g, "name")
    vertex_attr_names(g2)

[Package igraph version 1.1.2 Index]